<?php


namespace App\Entities\TipoProcedimento;


use App\Utils\Entity;

class TipoProcedimento extends Entity
{
    protected $id;
    protected $descricao;

    public static function builder() : TipoProcedimentoBuilder
    {
        $tipo_procedimento_builder = New TipoProcedimentoBuilder();
        return $tipo_procedimento_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getDescricao() : string
    {
        return $this->descricao;
    }

    public function setId($id) : void
    {
        $this->id = $id;
    }

    public function setDescricao($descricao) : void
    {
        $this->descricao = $descricao;
    }
}